from importlib.metadata import distribution
from flask import Blueprint, jsonify
from brian_dashboard_manager.routes import common

routes = Blueprint("version", __name__)
API_VERSION = '0.1'


@routes.after_request
def after_request(resp):
    return common.after_request(resp)


@routes.route("/", methods=['GET', 'POST'])
@common.require_accepts_json
def version():
    version_params = {
        'api': API_VERSION,
        'module':
            distribution('brian-dashboard-manager').version
    }
    return jsonify(version_params)
